%global dlrn_nvr ansible-role-openstack-operations-0.0.1.dev51-1.20220727212820.2ab288f
%global dlrn 1
%define upstream_version 0.0.1.dev51
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%global srcname ansible_role_openstack_operations
%global rolename ansible-role-openstack-operations

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 0.0.1
Release: 17.1.20220727212820.2ab288f%{?dist}
Summary:        Ansible role to perform OpenStack Day 2 Operations

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-openstack-operations
Source0: ansible-role-openstack-operations-0.0.1.dev51-1.20220727212820.2ab288f.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=2ab288f14e6d3e5334dea211a365ee303ae5f9dc

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{rolename}/%{rolename}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires: (python3dist(ansible) >= 2 or ansible-core >= 2.11)
Requires:       ansible-pacemaker

%description

Ansible role to perform OpenStack Day 2 Operations

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{py3_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{py3_install}


%files
%doc README*
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Thu Jun 29 2023 Miguel Garcia <mgarciac@redhat.com> 0.0.1-17.1.20220727212820.2ab288f
- Add RHOSP version to Release

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 0.0.1-1.20220727212820.2ab288f
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 0.0.1-0.20220712072849.2ab288f
- Update patches

* Tue Sep 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-0.20210915002848.2ab288f
- Update patches
- setup.cfg: Replace dashes with underscores

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-0.20210910003755.55889cb
- Update patches

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-0.20210702222116.55889cb
- Update patches
- Correct the tox option for skipping sdist generation
- Fix ci

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-0.20210528105236.3937ea4
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-0.20210512233707.3937ea4
- Update patches

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-0.20210507131813.3937ea4
- Update patches




